/*=============== HERO PLANS ===============*/
.hero__plans {
    padding-block: 198px 110px;

    .hero__plans__container {

        .hero__plans__content {
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            gap: 55px;

            .plans__header {
                font-size: 34px;
                font-weight: var(--font-semi-bold);
                color: #333333;

                .orange {
                    color: var(--orange);
                }

                .dotes {
                    color: #D1D5DB;
                }
            }

            .plans__btns {
                display: flex;
                justify-content: center;
                align-items: center;
                gap: 10px;
                flex-wrap: wrap;

                .btn {
                    font-size: 14px;
                    font-weight: var(--font-bold);
                    color: #9CA3AF;
                    background-color: white;
                    border: 1.5px solid #9CA3AF;
                    border-radius: 999px;
                    padding: 16px 28px;
                    box-shadow: 0px 0.75px 1.5px 0px #0000000D;
                    cursor: pointer;
                    transition: all 0.3s ease-in-out;

                    &:hover {
                        background-color: var(--blue);
                        color: white;
                    }

                    &.active {
                        background-color: var(--blue);
                        color: white;
                    }
                }
            }

            .plans__card {
                display: flex;
                justify-content: center;
                align-items: start;
                gap: 24px;

                .plan__item {
                    background-color: white;
                    border-top: 0.75px solid #F3F4F6;
                    box-shadow: 0px 1px 11px 0px #4B55631F;
                    border-radius: 12px;
                    padding-inline: 30px;
                    padding-block: 30px 36.5px;
                    display: flex;
                    justify-content: center;
                    align-items: start;
                    flex-direction: column;
                    gap: 12px;

                    h3 {
                        font-size: 36px;
                        font-weight: var(--font-bold);
                        color: var(--orange);
                        text-align: center;
                        width: 100%;

                        span {
                            font-size: 12px;
                            color: #F3C09D;
                        }
                    }

                    p {
                        font-size: 15px;
                        font-weight: var(--font-bold);
                        color: #1E293B;
                        text-transform: uppercase;
                    }

                    ul {
                        display: flex;
                        justify-content: center;
                        align-items: start;
                        flex-direction: column;
                        gap: 12px;

                        li {
                            display: flex;
                            justify-content: center;
                            align-items: center;
                            gap: 6px;
                            font-size: 12px;
                            font-weight: var(--font-regular);
                            color: #6B7280;

                            img {
                                width: 12px;
                                height: 12px;
                            }
                        }
                    }

                    a {
                        width: 100%;
                        height: 38px;
                        padding: 12px 60px;
                        background-color: #6B7280;
                        color: white;
                        border-radius: 8px;
                        font-size: 16.5px;
                        font-weight: var(--font-semi-bold);
                        transition: all 0.3s ease-in-out;

                        &:hover {
                            background-color: var(--orange);
                        }
                    }
                }

                .most_useable {
                    position: relative;
                    border: 2px solid var(--orange);
                    padding: 40px;
                    gap: 12.6px;
                    box-shadow: 0px 18.75px 37.5px -9px #00000026;

                    h3 {
                        font-size: 36.6px;
                    }

                    a {
                        background-color: var(--orange);
                        padding: 13px 55px;

                        &:hover {
                            background-color: #C45B11;
                        }
                    }

                    &::before {
                        content: 'Most usebale';
                        position: absolute;
                        top: -10px;
                        left: 50%;
                        transform: translateX(-50%);
                        background-color: var(--orange);
                        color: white;
                        font-size: 7.13px;
                        font-weight: var(--font-bold);
                        padding: 6px 21px;
                        border-radius: 999px;
                        text-transform: uppercase;
                    }
                }
            }

        }
    }
}

/*=============== QUESTIONS ===============*/
.questions {
    padding-block: 80px 130px;

    .questions__container {

        .questions__content {
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            gap: 55px;

            .questions__header {
                display: flex;
                justify-content: center;
                align-items: center;
                flex-direction: column;
                gap: 3px;

                h2 {
                    font-size: 38px;
                    font-weight: var(--font-semi-bold);
                    color: #333333;
                    line-height: 1;
                }

                p {
                    font-size: 22px;
                    font-weight: var(--font-regular);
                    color: #4B5563;
                }
            }

            .questions_accordion {
                display: flex;
                flex-direction: column;
                gap: 16px;
                max-width: 835px;
                margin: 0 auto;

                .question_item {
                    background-color: white;
                    border: 1px solid #F1F2F9;
                    border-radius: 16px;
                    overflow: hidden;
                    padding: 26px 32px;
                    transition: all 0.3s ease;
                    box-shadow: 0px 1px 4px 0px #19213D0F;

                    &.active {
                        border-color: var(--blue);
                        box-shadow: 0px 5px 15px 0px #19213D0F;

                        .question_header {
                            .icon {
                                background-color: var(--blue);
                                color: white;
                                transform: rotate(90deg);
                            }
                        }
                    }

                    &:hover {
                        border-color: var(--blue);
                        box-shadow: 0px 5px 15px 0px #19213D0F;
                    }
                }

                .question_header {
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                    cursor: pointer;
                    user-select: none;

                    h3 {
                        margin: 0;
                        font-size: 20px;
                        font-weight: var(--font-bold);
                        color: #333333;
                    }

                    .icon {
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        width: 35px;
                        height: 35px;
                        border-radius: 50%;
                        background-color: #F3F4F680;
                        box-shadow: 0px 0px 1px 0px #00000030;
                        color: #9CA3AF;
                        transition: transform 0.3s ease, background-color 0.3s ease, color 0.3s ease;
                    }
                }

                .question_answer {
                    max-height: 0;
                    overflow: hidden;
                    transition: max-height 0.3s ease-out;

                    p {
                        font-size: 16px;
                        font-weight: var(--font-regular);
                        line-height: 1.6;
                        color: #333333;
                        width: 90%;
                        margin-top: 16px;
                    }
                }
            }

        }
    }
}

@media (max-width: 1220px) {

    /*=============== HERO PLANS ===============*/
    .hero__plans {
        padding-block: 170px 95px;

        .hero__plans__container {
            .hero__plans__content {
                .plans__card {
                    gap: 18px;

                    .plan__item {
                        padding-inline: 24px;

                        a {
                            padding-inline: 45px;
                        }
                    }

                    .most_useable {
                        padding: 36px;
                    }
                }
            }
        }
    }

    /*===============QUESTIONS===============*/
    .questions {
        padding-block: 70px 110px;

        .questions__container {
            .questions__content {
                .questions_accordion {
                    max-width: 780px;
                }
            }
        }
    }

}

@media (max-width: 991px) {

    /*=============== HERO PLANS ===============*/
    .hero__plans {
        padding-block: 160px 80px;

        .hero__plans__container {
            .hero__plans__content {
                gap: 55px;

                .plans__header {
                    font-size: 34px;
                    text-align: center;
                    max-width: 459px;
                    width: 100%;
                }

                .plans__card {
                    flex-wrap: wrap;
                }
            }
        }
    }

    /*===============QUESTIONS===============*/
    .questions {
        padding-block: 80px 120px;

        .questions__container {
            .questions__content {
                gap: 55px;

                .questions__header {
                    text-align: center;

                    h2 {
                        font-size: 38px;
                    }

                    p {
                        font-size: 22px;
                    }
                }

                .questions_accordion {
                    max-width: 100%;

                    .question_item {
                        padding: 24px 28px;
                    }
                }
            }
        }
    }

}

@media (max-width: 768px) {

    /*=============== HERO PLANS ===============*/
    .hero__plans {
        padding-block: 150px 65px;

        .hero__plans__container {
            .hero__plans__content {
                gap: 38px;

                .plans__header {
                    font-size: 26px;
                }

                .plans__btns {
                    .btn {
                        font-size: 13px;
                        padding: 14px 24px;
                    }
                }

                .plans__card {
                    gap: 18px;

                    .plan__item {
                        padding-inline: 24px;

                        h3 {
                            font-size: 32px;
                        }

                        p {
                            font-size: 14px;
                        }

                        a {
                            justify-content: center;
                            padding-inline: 35px;
                            font-size: 15px;
                        }
                    }

                    .most_useable {
                        padding: 34px 24px 30px;

                        h3 {
                            font-size: 32px;
                        }
                    }
                }
            }
        }
    }

    /*===============QUESTIONS===============*/
    .questions {
        padding-block: 50px 75px;

        .questions__container {
            .questions__content {
                gap: 35px;

                .questions__header {
                    h2 {
                        font-size: 29px;
                    }

                    p {
                        font-size: 16px;
                    }
                }

                .questions_accordion {
                    gap: 14px;

                    .question_item {
                        padding: 22px 24px;
                        border-radius: 14px;
                    }

                    .question_header {
                        gap: 16px;

                        h3 {
                            font-size: 17px;
                        }

                        .icon {
                            width: 32px;
                            height: 32px;
                            min-width: 32px;
                        }
                    }

                    .question_answer {
                        p {
                            font-size: 14px;
                            width: 100%;
                        }
                    }
                }
            }
        }
    }

}

@media (max-width: 576px) {

    /*=============== HERO PLANS ===============*/
    .hero__plans {
        padding-block: 170px 55px;

        .hero__plans__container {
            .hero__plans__content {
                gap: 55px;

                .plans__header {
                    font-size: 34px;
                }

                .plans__btns {
                    gap: 10px;

                    .btn {
                        font-size: 14px;
                        padding: 16.5px 27.5px;
                    }
                }

                .plans__card {
                    width: 100%;

                    .plan__item {
                        width: 256px;
                        padding: 24px 18px 28px;

                        h3 {
                            font-size: 28px;
                        }

                        p {
                            font-size: 13px;
                        }

                        ul {
                            gap: 10px;

                            li {
                                font-size: 11px;
                            }
                        }

                        a {
                            height: 36px;
                            font-size: 14px;
                            padding: 10px 25px;
                        }

                        &:nth-child(1) {
                            order: 2;
                        }

                        &:nth-child(2) {
                            order: 1;
                        }

                        &:nth-child(3) {
                            order: 3;
                        }
                    }

                    .most_useable {
                        padding: 32px 18px 28px;

                        h3 {
                            font-size: 28px;
                        }
                    }
                }
            }
        }
    }

    /*===============QUESTIONS===============*/
    .questions {
        padding-block: 100px;

        .questions__container {
            .questions__content {
                gap: 55px;

                .questions__header {
                    h2 {
                        font-size: 24px;
                    }

                    p {
                        font-size: 14px;
                        text-align: center;
                    }
                }

                .questions_accordion {
                    gap: 12px;

                    .question_item {
                        padding: 18px;
                        border-radius: 12px;
                    }

                    .question_header {
                        align-items: start;
                        gap: 12px;

                        h3 {
                            font-size: 15px;
                            line-height: 1.4;
                        }

                        .icon {
                            width: 28px;
                            height: 28px;
                            min-width: 28px;
                        }
                    }

                    .question_answer {
                        p {
                            font-size: 13px;
                            margin-top: 12px;
                        }
                    }
                }
            }
        }
    }

    .section {
        padding-inline: 1.5rem;
    }
}